Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.operations
Interface IUpdateModelChangedListener

public interface IUpdateModelChangedListener

Listener for update model changes. Usually, when features are installed, configured, etc. a GUI may need to update its state, so it will have to register with the OperationsManager for update events.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`void` | `objectChanged(Object object, String property)` Called when there are changes to a site/feature/etc.
`void` | `objectsAdded(Object parent, Object[] children)` Called after a feature/site/etc. is added
`void` | `objectsRemoved(Object parent, Object[] children)` Called after a feature/site/etc. is removed.

Method Detail

### objectsAdded

    public void objectsAdded(Object parent,
                             Object[] children)

  Called after a feature/site/etc. is added

  Parameters:
    `parent` - parent object
    `children` - added children

### objectsRemoved

    public void objectsRemoved(Object parent,
                               Object[] children)

  Called after a feature/site/etc. is removed.

  Parameters:
    `parent` - parent object
    `children` - removed children

### objectChanged

    public void objectChanged(Object object,
                              String property)

  Called when there are changes to a site/feature/etc.

  Parameters:
    `object` - object that changed
    `property` - object property that changed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.